<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSNMPUserReq StructType
 * @subpackage Structs
 */
class GetSNMPUserReq extends APIRequest
{
    /**
     * The userName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * @var string
     */
    public $userName;
    /**
     * Constructor method for GetSNMPUserReq
     * @uses GetSNMPUserReq::setUserName()
     * @param string $userName
     */
    public function __construct($userName = null)
    {
        $this
            ->setUserName($userName);
    }
    /**
     * Get userName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->userName;
    }
    /**
     * Set userName value
     * @param string $userName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSNMPUserReq
     */
    public function setUserName($userName = null)
    {
        $this->userName = $userName;
        return $this;
    }
}
